## org.apache.mahout.benchmark
Class SerializationBenchmark

    java.lang.Object
      org.apache.mahout.benchmark.SerializationBenchmark

    public class SerializationBenchmark

extends Object

Field Summary
`static String` `DESERIALIZE`
`static String` `SERIALIZE`

Constructor Summary
`SerializationBenchmark(VectorBenchmarks mark)`

Method Summary
`void` `benchmark()`
`void` `deserializeBenchmark()`
`void` `serializeBenchmark()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZE

    public static final String SERIALIZE

See Also:
  Constant Field Values

### DESERIALIZE

    public static final String DESERIALIZE

See Also:
  Constant Field Values

Constructor Detail

### SerializationBenchmark

    public SerializationBenchmark(VectorBenchmarks mark)

Method Detail

### benchmark

    public void benchmark()
                   throws IOException

  Throws:
    `IOException`

### serializeBenchmark

    public void serializeBenchmark()
                            throws IOException

  Throws:
    `IOException`

### deserializeBenchmark

    public void deserializeBenchmark()
                              throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.